.rte {
  width: 100%;
  overflow: hidden;
}
.rte::after {
  clear: both;
  content: "";
  display: table;
}
.rte > *:not(img, figure, table, p:has(img)) {
  color: rgb(var(--color-foreground));
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  max-width: 100%;
}
@media screen and (min-width: 576px) {
  .rte > *:not(img, figure, table, p:has(img)) {
    max-width: 47.4rem;
    padding-inline: 0;
  }
}
.rte > *:not(img, figure, table, p:has(img)):last-child {
  margin-bottom: 0 !important;
}
.rte > *:not(img, figure, table, p:has(img)):first-child {
  margin-top: 0 !important;
}
.rte > *:not(img, figure, table, p:has(img)):first-child > *:first-child {
  margin-top: 0 !important;
}
.rte > span:not(:empty) {
  display: block;
  margin-bottom: 2rem;
}
.rte div {
  max-width: 100%;
  margin: 0 auto;
}
.rte div > *, .rte div > p, .rte div > pre, .rte div > span, .rte div > ul, .rte div > ol, .rte div > dl, .rte div > h1, .rte div > h2, .rte div > h3, .rte div > h4, .rte div > h5, .rte div > h6, .rte div > blockquote, .rte div > code {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}
@media screen and (min-width: 576px) {
  .rte div > *, .rte div > p, .rte div > pre, .rte div > span, .rte div > ul, .rte div > ol, .rte div > dl, .rte div > h1, .rte div > h2, .rte div > h3, .rte div > h4, .rte div > h5, .rte div > h6, .rte div > blockquote, .rte div > code {
    max-width: 47.4rem;
    padding-inline: 0;
  }
}
.rte div:has(img) {
  width: fit-content;
  margin-top: 3.2rem;
  margin-bottom: 3.2rem;
}
@media screen and (min-width: 750px) {
  .rte div:has(img) {
    margin-top: 4.8rem;
    margin-bottom: 4.8rem;
  }
}
@media screen and (min-width: 990px) {
  .rte div:has(img) {
    margin-top: 8rem;
    margin-bottom: 8rem;
  }
}
.rte div:has(img):last-child {
  margin-bottom: 0;
}
@media screen and (min-width: 576px) {
  .rte div:has(img[style*="float: left"]:only-child), .rte div:has(img[style*="float: right"]:only-child) {
    max-width: 47.4rem;
  }
}
.rte div:has(img[style*="float: left"]:only-child) > img, .rte div:has(img[style*="float: right"]:only-child) > img {
  margin: 0;
}
.rte div > p {
  margin-block: 0;
  border: none;
}
.rte p:has(img:not(:only-of-type)) {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 100%;
  margin-top: 3.2rem;
  margin-bottom: 3.2rem;
  gap: 0.1rem;
}
@media screen and (min-width: 750px) {
  .rte p:has(img:not(:only-of-type)) {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 4.8rem;
    margin-bottom: 4.8rem;
  }
}
@media screen and (min-width: 990px) {
  .rte p:has(img:not(:only-of-type)) {
    flex-direction: row;
    flex-wrap: nowrap;
    margin-top: 8rem;
    margin-bottom: 8rem;
  }
}
.rte p:has(img:not(:only-of-type)).children img {
  width: calc((100% - 0.1rem / (var(--children) - 1)) / var(--children));
}
.rte p:has(img:not(:only-of-type)) img {
  display: block;
  width: 100%;
  height: auto;
  object-fit: cover;
  object-position: center;
}
@media screen and (min-width: 750px) {
  .rte p:has(img:not(:only-of-type)) img {
    width: max(474px, 50%);
  }
}
.rte p:has(img:not(:only-of-type)):first-child {
  margin-top: 0;
}
.rte p:has(img:not(:only-of-type)):last-child {
  margin-bottom: 0;
}
.rte p:has(img:only-of-type) {
  width: fit-content;
  margin-inline: auto;
}
.rte img {
  display: inline-block;
  height: auto;
  max-width: 100%;
}
.rte figure {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  row-gap: 0.4rem;
  max-width: 100%;
  margin-block: 3.2rem;
}
@media screen and (min-width: 750px) {
  .rte figure {
    margin-block: 4.8rem;
  }
}
@media screen and (min-width: 990px) {
  .rte figure {
    margin-block: 8rem;
  }
}
.rte figure img {
  margin: 0 auto;
  max-width: 100%;
}
.rte figure:first-child {
  margin-top: 0;
}
.rte figure:last-child {
  margin-bottom: 0;
}
.rte figcaption {
  width: 100%;
  color: rgb(var(--color-foreground-secondary));
  font-size: calc(var(--font-body-scale) * 1.2rem - 0.1rem);
  max-width: 100%;
}
@media only screen and (min-width: 750px) {
  .rte figcaption {
    font-size: calc(var(--font-body-scale) * 1.4rem - 0.2rem);
  }
}
.rte p:has(iframe) {
  max-width: 100%;
}
.rte iframe {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}
.rte iframe[src*="youtube.com"],
.rte iframe[src*="vimeo.com"] {
  width: 100%;
  height: auto;
  aspect-ratio: 16/9;
}
.rte p {
  color: rgba(var(--color-foreground));
  margin-bottom: 0.8rem;
}
.rte p:has(img:only-of-type, svg, iframe) {
  margin-top: 3.2rem;
  margin-bottom: 3.2rem;
}
@media screen and (min-width: 750px) {
  .rte p:has(img:only-of-type, svg, iframe) {
    margin-top: 4.8rem;
    margin-bottom: 4.8rem;
  }
}
@media screen and (min-width: 990px) {
  .rte p:has(img:only-of-type, svg, iframe) {
    margin-top: 8rem;
    margin-bottom: 8rem;
  }
}
.rte p:has(img:only-of-type, svg, iframe):first-child {
  margin-top: 0;
}
.rte p:has(img:only-of-type, svg, iframe):last-child {
  margin-bottom: 0;
}
.rte p small {
  font-size: calc(var(--font-body-scale) * 1.2rem);
}
.rte h1,
.rte h2,
.rte h3,
.rte h4,
.rte h5,
.rte h6 {
  margin-top: 2rem;
}
@media screen and (min-width: 750px) {
  .rte h1,
  .rte h2,
  .rte h3,
  .rte h4,
  .rte h5,
  .rte h6 {
    margin-top: 2.4rem;
  }
}
.rte h1,
.rte h2,
.rte h3,
.rte h4,
.rte h5,
.rte h6 {
  color: rgb(var(--color-foreground));
  margin-bottom: 1.2rem;
}
.rte ol,
.rte ul {
  margin: 0 0 1.6rem 0;
}
@media screen and (min-width: 576px) {
  .rte ol,
  .rte ul {
    margin: 0 0 2.4rem 0;
  }
}
.rte ol {
  list-style-position: inside;
  list-style-type: decimal;
}
.rte ul {
  list-style-position: inside;
}
.rte code {
  display: block;
  margin-block: 2.4rem;
  margin-bottom: 2.4rem;
  padding: 2.4rem !important;
  background-color: rgb(var(--color-background-secondary));
}
.rte code:first-child {
  margin-top: 0;
}
.rte code:last-child {
  margin-bottom: 0;
}
.rte blockquote {
  position: relative;
  margin-top: 2.4rem;
  margin-bottom: 2.4rem;
  padding-block: 0;
  display: flex;
  flex-direction: column;
  font-family: var(--font-heading-family);
  font-style: var(--font-heading-style);
  font-weight: var(--font-heading-weight);
  letter-spacing: var(--font-heading-letter-spacing);
  color: rgb(var(--color-foreground));
  line-height: 1.2;
  text-transform: var(--font-heading-text-transform);
  word-wrap: break-word;
  word-break: break-word;
  max-width: 100%;
  font-size: 1.8rem;
}
@media only screen and (min-width: 750px) {
  .rte blockquote {
    font-size: 2rem;
  }
}
.rte blockquote cite {
  margin-top: 0.2rem;
  color: rgba(var(--color-foreground-secondary));
  display: block;
  font-size: calc(var(--font-body-scale) * 1.2rem);
  font-family: var(--font-body-family);
  font-style: var(--font-body-style);
  font-weight: var(--font-body-weight);
  line-height: var(--font-body-line-height);
  letter-spacing: calc(var(--font-body-letter-spacing) * 0.1);
  text-transform: none;
}
.rte blockquote > *:first-child {
  margin-top: 0;
}
.rte blockquote > *:last-child {
  margin-bottom: 0;
}
.rte blockquote:first-child {
  margin-top: 0;
}
.rte blockquote:last-child {
  margin-bottom: 0;
}
.rte table {
  width: auto;
  max-width: 100%;
  margin-top: 2.4rem;
  margin-bottom: 2.4rem;
  table-layout: fixed;
  max-width: 100%;
  display: block;
  overflow-x: auto;
}
@media screen and (min-width: 990px) {
  .rte table {
    max-width: 94.8rem;
    margin-inline: auto;
  }
}
.rte table:first-child {
  margin-top: 0;
}
.rte table:last-child {
  margin-bottom: 0;
}
.rte table::-webkit-scrollbar {
  width: 0.3rem;
  height: 0.3rem;
}
.rte table::-webkit-scrollbar-thumb {
  background-color: rgba(var(--color-foreground), 0.2);
  border-radius: 2rem;
}
.rte table tbody,
.rte table thead {
  display: table;
  width: 100%;
}
.rte table tbody tr:nth-child(odd) {
  background-color: rgb(var(--color-background-secondary));
}
.rte table th,
.rte table td {
  padding: 0.6rem 1.2rem;
  vertical-align: middle;
  min-width: 100px;
}
@media screen and (min-width: 750px) {
  .rte table th,
  .rte table td {
    min-width: 120px;
  }
}
.rte table th > *,
.rte table td > * {
  margin: 0;
}
.rte table th div:has(img),
.rte table td div:has(img) {
  border: none;
  padding: 0;
}
.rte table th div:has(img) img,
.rte table td div:has(img) img {
  margin-bottom: 0;
}
.rte a {
  display: inline;
  color: rgb(var(--color-foreground));
  background-position: left 94%;
  background-size: 100% 0.1rem;
  background-image: linear-gradient(to right, currentColor 0%, currentColor 100%);
  background-repeat: no-repeat;
  text-decoration: none;
  transition: background-size var(--duration-default) ease-in-out;
}
@media screen and (hover: hover) and (pointer: fine) {
  .rte a:hover {
    background-size: 0% 0.1rem;
    background-position: right 94%;
  }
}